import { jsx } from "react/jsx-runtime";
import { TokenROOK as TokenROOK$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenROOK = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "ROOK", "data-name": "TokenROOK", ...props, children: /* @__PURE__ */ jsx(TokenROOK$1, { variant }) });
  }
);
TokenROOK.displayName = "TokenROOK";
Object.assign(TokenROOK, { isGdsIcon: true });
export {
  TokenROOK
};
